<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::InstancedGeometry::InstancedObject Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#6cfaf873d66502859f8f6b87b07d70a5">addBucketToList</a>(GeometryBucket *bucket)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#19c0bb2442a83b4f686c162653cd8ac0">GeometryBucket</a> class</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#51bfe4a4e67c6ba3ed88dcd6cbd6a0ed">GeometryBucketList</a> typedef</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#2f8ebb5bb9f9d61ff9a5bbc8afe5b2a0">getAnimationState</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#8f46c44974b4d94a98d6e427eca344b1">getGeometryBucketList</a>(void)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#c6a3eff7b015165d31d899e419208086">getLocalAxes</a>(void) const </td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a256ac26e13f51db42300f391fd92dc3">getPosition</a>(void)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#4d1e463a0f7548fc6b214e5eb82fc5c9">getSkeletonInstance</a>(void)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#2f27055c6a7543e07eeb31ec5f5605b7">InstancedObject</a>(int index)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#d834402574bd3635f1db982f64c93792">InstancedObject</a>(int index, SkeletonInstance *skeleton, AnimationStateSet *animations)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#4b56beafde52b601500f546fa4c6e570">mAnimationState</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#7abb7e5b6b8487977c412174c46a4a68">mBoneMatrices</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a81bb5f5a50b38f97da1ee6e2bc3acb3">mBoneWorldMatrices</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#9cf770df6c5caf7101f14e8377675753">mFrameAnimationLastUpdated</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#95f4ab8c33297e92134f2dc7264fbc4c">mGeometryBucketList</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#ea2753a5cad7e9667db0c5d70edee91e">mIndex</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#9540a22e67e987edea356a1167a644cd">mNumBoneMatrices</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#438337274251b4be86e4262e4a12110e">mOrientation</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#06be9bb180215197d95f3223eda93821">mPosition</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#28cd1d0319fe373ec8f0c49ddfb5f42b">mScale</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#da671ff66786abf2c60c332f670e853f">mSkeletonInstance</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#42dd164d1a22f2b5d81f3b960cdf78e6">mTransformation</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#4de88a1c0a586a4743746f6cd1dd1c9e">needUpdate</a>()</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#efa3c269808cc42b1ba4f0e1e798fef1">pitch</a>(const Radian &amp;angle)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#d779744914b50047d406d82dc35bda72">roll</a>(const Radian &amp;angle)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#ea450cfe059922e356d7a05edb097e98">rotate</a>(const Quaternion &amp;q)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#8d5c2bf94296b0797e200e78b6577309">setPosition</a>(Vector3 position)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#3cec1ca50cbf56759da97e4cbb49762e">setScale</a>(const Vector3 &amp;scale)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#6c17bdaf09f0904c9463a3e955b8f06c">TransformSpace</a> enum name</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#7379a1af9f3d74c861953ae2aa2a2130">translate</a>(const Matrix3 &amp;axes, const Vector3 &amp;move)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#f92c230d50fd79d13544591e0d82592d">translate</a>(const Vector3 &amp;d)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#6c17bdaf09f0904c9463a3e955b8f06cd863ea15dc79cc72d760335afe073c8b">TS_LOCAL</a> enum value</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#6c17bdaf09f0904c9463a3e955b8f06c28433c670f3917f9491bf08bcad0694c">TS_PARENT</a> enum value</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#6c17bdaf09f0904c9463a3e955b8f06c9a8cf09109de7ea1fa945300b111af2d">TS_WORLD</a> enum value</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#1e5af2d803336fd11f7b551cee044e5b">updateAnimation</a>(void)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#fadb7563f8c75ad79b365033976ff64f">yaw</a>(const Radian &amp;angle)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#ac487b2a9b134673dbd0d0cf128a0c3b">~InstancedObject</a>()</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:11 2008
</p>
</body>
</html>
